org.apache.avro.mapreduce

## Class AvroKeyOutputFormat<T>

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<K,V>
    - - org.apache.avro.mapreduce.AvroOutputFormatBase<AvroKey<T>,NullWritable>
      - - org.apache.avro.mapreduce.AvroKeyOutputFormat<T>

- Type Parameters:
    `T` - The (java) type of the Avro data to write.

      public class AvroKeyOutputFormat<T>
      extends AvroOutputFormatBase<AvroKey<T>,NullWritable>

  FileOutputFormat for writing Avro container files.

  Since Avro container files only contain records (not key/value pairs), this output format ignores the value.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AvroKeyOutputFormat.RecordWriterFactory<T>` A factory for creating record writers.

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `AvroKeyOutputFormat()` Constructor.
    `protected` | `AvroKeyOutputFormat(AvroKeyOutputFormat.RecordWriterFactory recordWriterFactory)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordWriter<AvroKey<T>,NullWritable>` | `getRecordWriter(TaskAttemptContext context)`

    - ### Methods inherited from class org.apache.avro.mapreduce.AvroOutputFormatBase

      `getAvroFileOutputStream, getCompressionCodec, getSyncInterval`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroKeyOutputFormat

          public AvroKeyOutputFormat()

      Constructor.

    - #### AvroKeyOutputFormat

          protected AvroKeyOutputFormat(AvroKeyOutputFormat.RecordWriterFactory recordWriterFactory)

      Constructor.
      Parameters:
        `recordWriterFactory` - A factory for creating record writers.

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<AvroKey<T>,NullWritable> getRecordWriter(TaskAttemptContext context)
                                                                throws IOException

      Specified by:
        `getRecordWriter` in class `FileOutputFormat<AvroKey<T>,NullWritable>`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.